{% extends 'base.html.twig' %}

{% form_theme createContainer 'form/createfields.twig' %}

{% block body %}

<div class="wrapper">

    <div class="welcome">
        <h2>Witaj!</h2>
        <h3>{{ app.user.email }}</h3>
        <a href="/logout"><i class="fa-solid fa-right-from-bracket"></i> Wyloguj</a>
    </div>
    <div class="lists">
        <span class="lists__info">Dostępne listy:</span>
        
        {% for container in containers %}
            <div class="list__card">
                <span class="list__name">{{ container.name }}</span>
                <span class="list__actions">
                    <a href="{{ url('app_show', {'id': container.id}) }}"><i class="fa-solid fa-arrow-right-long"></i></a>
                </span>
            </div>
        {% endfor %}


        <div class="list__card list__create">
            {{ form_start(createContainer) }}
                {{ form_row(createContainer.name) }}
                <input type="submit" value="Utwórz">
            {{ form_end(createContainer) }}
        </div>

    </div>

</div>

{% endblock %}
